import request from '@/router/axios';

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-business/project/base/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}


export const getUserProjectList = () => {
    return request({
        url: '/api/galaxy-business/project/base/org/list',
        method: 'get',

    })
}


export const remove = (ids) => {
    return request({
        url: '/api/galaxy-business/project/base/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-business/project/base/submit',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-business/project/base/submit',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-business/project/base/detail',
        method: 'get',
        params: {
            id
        }
    })
}

export const warnSetting = (params) => {
    return request({
        url: '/api/galaxy-business/project/base/setting/warning/submit',
        method: 'post',
        params: {
            ...params,
        }
    })
}

